Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Sun 13 Oct 2019, 21:10
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Desktop
LXQtPup - Puppy with the LXQt desktop
Post new topic   Reply to topic View previous topic :: View next topic
Page 3 of 4 [48 Posts]   Goto page: Previous 1, 2, 3, 4 Next
Author Message
Pelo

Joined: 10 Sep 2011
Posts: 12591
Location: Mer méditerrannée (1 kms°)

PostPosted: Fri 17 Mar 2017, 20:39    Post subject: release 0.9.0 of LXQ  

We are proud to announce the release 0.9.0 of LXQt, the Lightweight Qt
desktop environment
This release drops all compatibility with Qt 4 Evil or Very Mad . It also features heavy
internal cleanups and refactorings. Qt 5.3 is now the minimum required
version.

Screenshot :
as i failed to install french flag in the menu, and russian one was here
in usr:share ..... i change russian by french colors.
I hope that will not cause a new diplomatic incident
flag.jpg
 Description   ah non mais !
 Filesize   12.28 KB
 Viewed   1225 Time(s)

flag.jpg


_________________
Passenger Pelo ! don't ask him to repair the aircraft. Don't use him as a demining dog .... pleeease.

Last edited by Pelo on Wed 20 Sep 2017, 11:55; edited 1 time in total
Back to top
View user's profile Send private message Yahoo Messenger 
Pelo

Joined: 10 Sep 2011
Posts: 12591
Location: Mer méditerrannée (1 kms°)

PostPosted: Fri 12 May 2017, 01:47    Post subject: GCstar, With Qt, included in your Puppy
Subject description: Un gars, une fille, version Quebec, c'est exclaim.
 

i would underline that people wanting to go outside with netbooks could do it with LxpupQT, what many newest Puppies cannot do because of kernel, newer of course, but missing a pet in rcrsn51 panel to get a dongle working.
3.14.94 is available here wireless section for nowadays computers
QT5 what to do ? Nothing new. Qt4 is enough to run all QT-apps, excepted makagiga. Symphytum old version as nothing missing compared to Qt5 version. AS 64 bits using 32 bits apps, Qt5 is using Qt4apss.
There are no devs for creating anything new.
Emprunteuse.jpg
 Description   Puppies, which of you can play GCstars ?
 Filesize   80.01 KB
 Viewed   985 Time(s)

Emprunteuse.jpg

Olympia.jpg
 Description   Symphytum with Qt4
 Filesize   60.83 KB
 Viewed   1119 Time(s)

Olympia.jpg


_________________
Passenger Pelo ! don't ask him to repair the aircraft. Don't use him as a demining dog .... pleeease.

Last edited by Pelo on Thu 28 Sep 2017, 08:20; edited 3 times in total
Back to top
View user's profile Send private message Yahoo Messenger 
Pelo

Joined: 10 Sep 2011
Posts: 12591
Location: Mer méditerrannée (1 kms°)

PostPosted: Fri 16 Jun 2017, 09:45    Post subject: Francophones, topic LXQtpup  

Francophones, topic LXQtpup Donnez-y votre avis (feed-bac there in French)
Xenial / XenialDog cannot be discussed. Xenialpup needs improvments, what about
LxPupXenial-16.08.2-pae.iso:

_________________
Passenger Pelo ! don't ask him to repair the aircraft. Don't use him as a demining dog .... pleeease.
Back to top
View user's profile Send private message Yahoo Messenger 
peebee


Joined: 21 Sep 2008
Posts: 4015
Location: Worcestershire, UK

PostPosted: Sat 13 Oct 2018, 14:36    Post subject: LxPupSc-Qt-18.10
Subject description: Experimental
 

Experimental

LxPupSc-Qt-18.10M-k64.iso

- Slackware Current 32-bit Woof-CE base
- LXQt desktop in ydrv
- based on Porteus Linux V4.0 LXQt module
- kernel 4.18.13 64-bit

Has lots of duplicate apps and rather over-populated menus due to adding the Porteus module to LxPupSc.

Frugal install recommended - install all of adrv, fdrv, ydrv, zdrv, puppy sfs's + initrd.gz and vmlinuz

ydrv is available separately and can be added to an LxPupSc install.
Screenshot.png
 Description   
 Filesize   129.24 KB
 Viewed   905 Time(s)

Screenshot.png


_________________
LxPup = Puppy + LXDE
Main version used daily: LxPupSc; Assembler of UPups, ScPup & ScPup64, LxPup, LxPupSc & LxPupSc64
Back to top
View user's profile Send private message Visit poster's website 
peebee


Joined: 21 Sep 2008
Posts: 4015
Location: Worcestershire, UK

PostPosted: Mon 17 Dec 2018, 12:03    Post subject:  

a8ebaeb9d14659459a05b60a58f5bdca LXQtPup-18.12T-k64-uefi.iso

kernel 4.19.9 64-bit
BUILD_FROM_WOOF='testing;c696d4b9;2018-12-17 10:28:42 +0800'

_________________
LxPup = Puppy + LXDE
Main version used daily: LxPupSc; Assembler of UPups, ScPup & ScPup64, LxPup, LxPupSc & LxPupSc64
Back to top
View user's profile Send private message Visit poster's website 
Max Headroom


Joined: 28 Jun 2006
Posts: 402
Location: GodZone Kiwi

PostPosted: Mon 22 Apr 2019, 08:05    Post subject:  

G'day All, Can anybody Please Help me getting Compiz working on this Dell Latitude E6400 w/ NVidia Quadro NVS 160M Graphics, 4 Gb RAMemory, & 2.53 GHz intel Core2 Duo & Dual Booting w/ M$ Virus Magnet 7 Pro.

Frugal install, Compiz & CompizConfig Settings Manager installed via the Puppy Package Manager, But Not working.

I've Spent hOurs & hOurs Reading & Trying 2 Figure this Out...

Also having Trouble installing Brave Browser, it's my 9 year old Daughters Preferred Browser, I wish there were a pet or sfs package.

Please & Thanx...

WinkK
Screenshot.png
 Description   
 Filesize   17.24 KB
 Viewed   549 Time(s)

Screenshot.png


_________________
PC is Not Political Correctness Razz , it's a Personal Computer!
Back to top
View user's profile Send private message Yahoo Messenger 
peebee


Joined: 21 Sep 2008
Posts: 4015
Location: Worcestershire, UK

PostPosted: Wed 24 Apr 2019, 15:32    Post subject:  

This ydrv:

ydrv_LxPupSc_19.04.sfs

can be added to an LxPupSc-19.04 frugal install to change the desktop to

LXQt-0.14.1

based on Qt-5.12.3

(component packages come from ArchLinux32)

as a bi-product the Qt sfs can also be added to LxPupSc or ScPup (both 32-bit) if you just want Qt capabilities:

qt5-5.12.3.sfs
Screenshot.png
 Description   
 Filesize   108.74 KB
 Viewed   517 Time(s)

Screenshot.png


_________________
LxPup = Puppy + LXDE
Main version used daily: LxPupSc; Assembler of UPups, ScPup & ScPup64, LxPup, LxPupSc & LxPupSc64

Last edited by peebee on Fri 17 May 2019, 06:44; edited 2 times in total
Back to top
View user's profile Send private message Visit poster's website 
norgo


Joined: 13 Nov 2015
Posts: 346
Location: Germany

PostPosted: Wed 24 Apr 2019, 20:50    Post subject:  

@peebee

thank you very much
LXQT and ScPup a really interesting combination

btw. lxqt window edges in archlinux 32 are completely normal
lxqt_0.14.1.jpg
 Description   lxqt edges archlinux
 Filesize   61.72 KB
 Viewed   469 Time(s)

lxqt_0.14.1.jpg

Back to top
View user's profile Send private message Visit poster's website 
Max Headroom


Joined: 28 Jun 2006
Posts: 402
Location: GodZone Kiwi

PostPosted: Thu 25 Apr 2019, 00:31    Post subject:  

Can AnyBody Please Direct 2 where I can Resolve the Compiz & Brave issues Thanx...

WinkK

_________________
PC is Not Political Correctness Razz , it's a Personal Computer!
Back to top
View user's profile Send private message Yahoo Messenger 
peebee


Joined: 21 Sep 2008
Posts: 4015
Location: Worcestershire, UK

PostPosted: Thu 25 Apr 2019, 03:54    Post subject:  

Max Headroom wrote:
Can AnyBody Please Direct 2 where I can Resolve the Compiz & Brave issues Thanx...

WinkK

This is a LXQt thread .....

Compiz is complicated ... you will need the devx installed to provide python.

Suggest you look how Compiz was started in lxpup14.02_compiz_lxp_setup.pet - it required patches to /root/.xinitrc to start compiz and emerald - and this has to be done before any other window manager starts....

I think Brave only exists in 64-bit version....
Code:
CURRENTWM="`cat /etc/windowmanager`"
#start compiz =================================================================
#check for rendering type
RENDER="$(cat /etc/compiz_render)" #LIBGL_ALWAYS_INDIRECT=1
case "$RENDER" in
Nvidia|Xgl) OPT1="" ; OPT2="" ;;
AIGLX) export LIBGL_ALWAYS_INDIRECT=1 ; OPT2="--indirect-rendering" ;;
*)echo "Good luck.." ;;
esac
#check intel driver
if [ `grep card0driver /etc/X11/xorg.conf|grep -iE "intel|i810"` ];then export INTEL_BATCH=1
fi
if [[ "$CURRENTWM" != "jwm" && "$CURRENTWM" != "icewm" && "$CURRENTWM" != "openbox" && "$CURRENTWM" != "startfluxbox" ]];then
 if [[ `which compiz` != "" ]];then compiz --replace $OPT2 --sm-disable ccp &
 #sleep 1
 emerald --replace &
 sleep 3
 fi
fi
#end start compiz =============================================================

_________________
LxPup = Puppy + LXDE
Main version used daily: LxPupSc; Assembler of UPups, ScPup & ScPup64, LxPup, LxPupSc & LxPupSc64
Back to top
View user's profile Send private message Visit poster's website 
Max Headroom


Joined: 28 Jun 2006
Posts: 402
Location: GodZone Kiwi

PostPosted: Thu 25 Apr 2019, 04:51    Post subject:  

Thanx PeeBee 4 your Reply, I'll eXplore your Link about Compiz, However I thought that this is X64 bit so should be Compatible w/ the Brave Browser!?! WinkK
_________________
PC is Not Political Correctness Razz , it's a Personal Computer!
Back to top
View user's profile Send private message Yahoo Messenger 
peebee


Joined: 21 Sep 2008
Posts: 4015
Location: Worcestershire, UK

PostPosted: Sat 27 Apr 2019, 13:56    Post subject:  

An updated ydrv has been uploaded....

https://sourceforge.net/projects/lxpup/files/Other/Desktops/LXQt-ydrv/ydrv_LxPupSc_19.04.sfs/download

_________________
LxPup = Puppy + LXDE
Main version used daily: LxPupSc; Assembler of UPups, ScPup & ScPup64, LxPup, LxPupSc & LxPupSc64
Back to top
View user's profile Send private message Visit poster's website 
peebee


Joined: 21 Sep 2008
Posts: 4015
Location: Worcestershire, UK

PostPosted: Mon 29 Apr 2019, 14:33    Post subject:  

ydrv for LxPupSc-19.04 updated

added a ydrv for ScPup-19.04 - bit bigger because it includes components missing from ScPup which are included in LxPupSc.....

https://sourceforge.net/projects/lxpup/files/Other/Desktops/LXQt-ydrv/

Quite liking LXQt although it is definitely somewhat slower than LXDE presumably due to sitting on the overheads of Qt5......

May (absolutely no promises) do something similar for ScPup64 now I know what is needed.....

_________________
LxPup = Puppy + LXDE
Main version used daily: LxPupSc; Assembler of UPups, ScPup & ScPup64, LxPup, LxPupSc & LxPupSc64
Back to top
View user's profile Send private message Visit poster's website 
peebee


Joined: 21 Sep 2008
Posts: 4015
Location: Worcestershire, UK

PostPosted: Fri 17 May 2019, 06:37    Post subject:  

64-bit ydrv for LxPupSc64-19.04

ydrv_LxPupSc64_19.04.sfs

qt5-5.12.3-64.sfs biproduct
Screenshot.png
 Description   
 Filesize   129.06 KB
 Viewed   298 Time(s)

Screenshot.png


_________________
LxPup = Puppy + LXDE
Main version used daily: LxPupSc; Assembler of UPups, ScPup & ScPup64, LxPup, LxPupSc & LxPupSc64
Back to top
View user's profile Send private message Visit poster's website 
peebee


Joined: 21 Sep 2008
Posts: 4015
Location: Worcestershire, UK

PostPosted: Tue 21 May 2019, 11:26    Post subject:  

64-bit ydrv for ScPup64 added....all ydrv's updated to same standard....

https://sourceforge.net/projects/lxpup/files/Other/Desktops/LXQt-ydrv/

32 & 64-bit for ScPup32 & ScPup64

32 & 64-bit for LxPupSc32 & LxPupSc64

32 bit for UPupDD-19.04+6

_________________
LxPup = Puppy + LXDE
Main version used daily: LxPupSc; Assembler of UPups, ScPup & ScPup64, LxPup, LxPupSc & LxPupSc64

Last edited by peebee on Wed 22 May 2019, 14:21; edited 1 time in total
Back to top
View user's profile Send private message Visit poster's website 
Display posts from previous:   Sort by:   
Page 3 of 4 [48 Posts]   Goto page: Previous 1, 2, 3, 4 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Desktop
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0597s ][ Queries: 12 (0.0107s) ][ GZIP on ]